<?php
/*
Template Name: Modèle d'édition d'article
Template Post Type: page
*/
get_header();

$mess = '';
// Création et sauvegarde de l'article envoyé via le formulaire
if(isset($_POST['submit_post']) && isset($_POST['post_nonce_field']) && wp_verify_nonce($_POST['post_nonce_field'], 'post_nonce')){
   // Je vérifie que le titre a bien été ajouté et envoyé
   if ( trim( $_POST['postTitle'] ) === '' || $_POST['postContent'] === '' ) {
	  $mess = 'Veuillez renseigner le titre de votre article et son contenu';
   } else {
	  
	  // Post to save
	  $post_information = array(
		 'post_title' 	=> wp_strip_all_tags( $_POST['postTitle'] ),
		 'post_content' => $_POST['postContent'],
		 'post_type' 	=> 'series',
		 'post_status' 	=> 'pending',
		 'post_author'   => 1,
		 'post_category' => array( 1 )
	  );
	  wp_insert_post( $post_information );
	  $mess = 'Article sauvegardé avec succès !';
   }
}
?>
<!-- /* INTERNAL PAGE HEADER IMG -->
<div class="container-fluid p-0 position-relative singlehead">
	<div class="filterdiv internalpage position-absolute top-0 start-0"></div>
	<?php
	if (has_post_thumbnail()) {
		the_post_thumbnail('full', ['class' => 'img-fluid w-100']); 
	} else {
		echo '<img src="' . get_template_directory_uri() . '/assets/img/actu/fallout-serie-tv.jpg" class="img-fluid w-100" alt="Actu Séries" loading="lazy">';
	}
	?>
</div>
<!-- IMG END -->

    <!-- PAGE CONTENT -->
    <article class="container mt-3">
        <div class="row justify-content-md-center">
            <div class="col mb-4">
				<div class="post-box">
				<?php if ( $mess != "") echo $mess; ?>
				<form action="/edition" id="primaryPostForm" method="POST">
	
				<!-- Champs destiné au titre de mon article -->
				<label for="postTitle">Titre de mon article</label>
				<input type="text" size="60" name="postTitle" id="postTitle" class="required" value="<?php if(isset($_POST['postTitle'])){ echo stripslashes($_POST['postTitle']); } ?>" />
				
				<!-- Champs destiné au contenu de l'article. Ici, on va utiliser l'éditeur TinyMCE de WordPress. 
						Le jQuery natif de WP doit être utilisé et pas le notre perso
				-->
				<?php
					if(isset($_POST['postContent'])) {
						$content = stripslashes(  $_POST['postContent'] );
					} else {
						$content = '';
					}
					
					$settings  = array( 'editor_height' => '350', 'media_buttons' => false );
					wp_editor( $content, 'postContent', $settings); 

					// Champs de sécurité
					wp_nonce_field( 'post_nonce', 'post_nonce_field' );
				?>
								
				<input type="submit" name="submit_post" id="submit_post" value="Soumettre" />
				
				</form>
				</div>
            </div>
        </div>
    </article>
    <!-- PAGE CONTENT END -->

  <!--/ Section Blog-Single Star /-->
  <section class="blog-wrapper sect-pt4" id="blog">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <div class="post-box">
			<?php if ( $mess != "") echo $mess; ?>
			<form action="/edition" id="primaryPostForm" method="POST">
   
			   <!-- Champs destiné au titre de mon article -->
			   <label for="postTitle">Titre de mon article</label>
			   <input type="text" size="60" name="postTitle" id="postTitle" class="required" value="<?php if(isset($_POST['postTitle'])){ echo stripslashes($_POST['postTitle']); } ?>" />
			   
			   <!-- Champs destiné au contenu de l'article. Ici, on va utiliser l'éditeur TinyMCE de WordPress. 
					Le jQuery natif de WP doit être utilisé et pas le notre perso
			   -->
			   <?php
					if(isset($_POST['postContent'])) {
						$content = stripslashes(  $_POST['postContent'] );
					} else {
						$content = '';
					}
				  
				  $settings  = array( 'editor_height' => '350', 'media_buttons' => false );
				  wp_editor( $content, 'postContent', $settings); 
			   ?>
			   
			   
			   <?php
				   // Champs de sécurité
				   wp_nonce_field( 'post_nonce', 'post_nonce_field' );
			   ?>
							  
			   <input type="submit" name="submit_post" id="submit_post" value="Publier mon article" />
			   
			</form>
          </div>
        </div>
    </div>
  </section>
  <!--/ Section Blog-Single End /-->

<?php
get_template_part('template-parts/content-videobg');
get_template_part('template-parts/content-prefooter');
get_footer();